%global modname zope.exceptions

Summary:    Zope Exceptions
Name:       python-zope-exceptions
Version:    4.0.8
Release:    2%{?dist}
Source0:    http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License:    ZPLv2.1
BuildArch:  noarch
URL:        http://pypi.python.org/pypi/zope.exceptions

%description
This package contains exception interfaces and implementations which are so
general purpose that they don't belong in Zope application-specific packages.

%package -n python3-zope-exceptions
Summary:    Zope Exceptions
%{?python_provide:%python_provide python3-zope-exceptions}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-zope-interface

Requires:       python3-zope-interface

%description -n python3-zope-exceptions
This package contains exception interfaces and implementations which are so
general purpose that they don't belong in Zope application-specific packages.

%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%build
%{py3_build}

%install
%{py3_install}


%files -n python3-zope-exceptions
%doc LICENSE.txt CHANGES.rst README.rst COPYRIGHT.txt
%{python3_sitelib}/zope/exceptions/
%dir %{python3_sitelib}/zope/
%exclude %{python3_sitelib}/zope/exceptions/tests/
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 4.0.8-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.8-1
- initial build
